WORMS(6)

NAME
worms - animate worms on a display terminal

SYNOPSIS
worms [-ft] [-d delay] [-l length] [-n number]

DESCRIPTION
A UNIX version of the DEC-2136 program “worms”.

The options are as follows:

-d delay
    Specifies a delay, in milliseconds, between each update. This is useful for fast terminals. Reasonable values are around 20-200. The default is based on the terminal speed. If the terminal is 9600 baud or slower no delay is used. Otherwise, the delay is computed via the following formula:
        delay = speed / 9600 - 1.

-f  Makes a “field” for the worm(s) to eat.

-l length
    Specifies a length for each worm; the default is 16.

-n number
    Specifies the number of worms; the default is 3.

-t  Makes each worm leave a trail behind it.

BUGS
The lower-right-hand character position will not be updated properly on a terminal that wraps at the right margin.